Gem::Specification.new do |s|
  s.name    = 'execute_shell'
  s.version = '1.0.2'

  s.summary     = 'Cross-platform shell commands.'
  s.description = %Q{
ExecuteShell provides cross-platform shell command execution.
Linux, Windows, and Mac OS X are currently supported.
In other words, it lays the smack down like a hungry t-rex
in the octagon with a pig.
}.strip

  s.author   = 'Travis Herrick'
  s.email    = 'tthetoad@gmail.com'
  s.homepage = 'http://www.bitbucket.org/ToadJamb/gems_execute_shell'

  s.license = 'LGPLv3'

  s.extra_rdoc_files = Dir['README', 'license/*']

  s.require_paths = ['lib']
  s.files = Dir['*', 'lib/**/*.rb', 'license/*']
  s.test_files = Dir['test/**/*.rb']

  s.add_dependency 'Platform',       '~> 0.4.0'
  s.add_dependency 'open4',          '~> 1.3.0'
  s.add_dependency 'win32-open3-19', '~> 0.0.2'

  s.add_development_dependency 'rake_tasks',       '~> 2.0.6'
  s.add_development_dependency 'test_unit_helper', '~> 0.0.2'

  s.has_rdoc = true
end
